
From: Adrian Bunk <bunk@stusta.de>

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/semaphore.c |    8 ++++----
 25-akpm/include/asm-i386/semaphore.h |    5 -----
 2 files changed, 4 insertions(+), 9 deletions(-)

diff -puN arch/i386/kernel/semaphore.c~i386-semaphorec-make-4-functions-static arch/i386/kernel/semaphore.c
--- 25/arch/i386/kernel/semaphore.c~i386-semaphorec-make-4-functions-static	2005-01-16 00:31:24.628935224 -0800
+++ 25-akpm/arch/i386/kernel/semaphore.c	2005-01-16 00:31:24.633934464 -0800
@@ -49,12 +49,12 @@
  *    we cannot lose wakeup events.
  */
 
-fastcall void __up(struct semaphore *sem)
+static fastcall void __attribute_used__  __up(struct semaphore *sem)
 {
 	wake_up(&sem->wait);
 }
 
-fastcall void __sched __down(struct semaphore * sem)
+static fastcall void __attribute_used__ __sched __down(struct semaphore * sem)
 {
 	struct task_struct *tsk = current;
 	DECLARE_WAITQUEUE(wait, tsk);
@@ -91,7 +91,7 @@ fastcall void __sched __down(struct sema
 	tsk->state = TASK_RUNNING;
 }
 
-fastcall int __sched __down_interruptible(struct semaphore * sem)
+static fastcall int __attribute_used__ __sched __down_interruptible(struct semaphore * sem)
 {
 	int retval = 0;
 	struct task_struct *tsk = current;
@@ -154,7 +154,7 @@ fastcall int __sched __down_interruptibl
  * single "cmpxchg" without failure cases,
  * but then it wouldn't work on a 386.
  */
-fastcall int __down_trylock(struct semaphore * sem)
+static fastcall int __attribute_used__ __down_trylock(struct semaphore * sem)
 {
 	int sleepers;
 	unsigned long flags;
diff -puN include/asm-i386/semaphore.h~i386-semaphorec-make-4-functions-static include/asm-i386/semaphore.h
--- 25/include/asm-i386/semaphore.h~i386-semaphorec-make-4-functions-static	2005-01-16 00:31:24.629935072 -0800
+++ 25-akpm/include/asm-i386/semaphore.h	2005-01-16 00:31:24.634934312 -0800
@@ -92,11 +92,6 @@ fastcall int  __down_failed_interruptibl
 fastcall int  __down_failed_trylock(void  /* params in registers */);
 fastcall void __up_wakeup(void /* special register calling convention */);
 
-fastcall void __down(struct semaphore * sem);
-fastcall int  __down_interruptible(struct semaphore * sem);
-fastcall int  __down_trylock(struct semaphore * sem);
-fastcall void __up(struct semaphore * sem);
-
 /*
  * This is ugly, but we want the default case to fall through.
  * "__down_failed" is a special asm handler that calls the C
_
